<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
InstallFile Method (IEdmVault12)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVault12 Interface : InstallFile Method (IEdmVault12)

Visual Basic
C#
C++/CLI

bsPath
  Path to the file to install

lEdmInstallFileFlags
  Combination of EdmInstallFileFlags bits

oInstallArg
  ID of folder where to install the file; valid only if bsPath contains the path to a card file

Installs administrative export files (*.CEX) and card files (*.CRD).

# Syntax

Visual Basic |
--- | ---

    Sub InstallFile( _
       ByVal bsPath As System.String, _
       ByVal lEdmInstallFileFlags As System.Integer, _
       ByVal oInstallArg As System.Object _
    )

C# |
--- | ---

    void InstallFile(
       System.string bsPath,
       System.int lEdmInstallFileFlags,
       System.object oInstallArg
    )

C++/CLI |
--- | ---

    void InstallFile(
    &   System.String^ bsPath,
    &   System.int lEdmInstallFileFlags,
    &   System.Object^ oInstallArg
    )

#### Parameters

bsPath
  Path to the file to install
lEdmInstallFileFlags
  Combination of EdmInstallFileFlags bits
oInstallArg
  ID of folder where to install the file; valid only if bsPath contains the path to a card file

# Remarks

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmVault12 Interface
IEdmVault12 Members

# Availability

SOLIDWORKS PDM Professional 2011